<?php


namespace Drupal\commerce_multiorder\Plugin\Commerce\CheckoutPane;

trait CommerceMultiorderCheckoutPaneTrait {

  /**
   * @var \Drupal\commerce_checkout\Plugin\Commerce\CheckoutFlow\CheckoutFlowInterface
   */
  protected $checkoutFlow;

  /**
   * @return \Drupal\commerce_order\Entity\OrderInterface[]
   */
  public function getOrderAttached(): array {
    return $this->checkoutFlow->getOrderAttached();
  }

  /**
   * Return true if the url contains an additional order id
   * @return bool
   */
  public function hasOrderAttached():bool {
    $order = $this->checkoutFlow->getOrderAttached();
    return !empty($order);
  }
}